Commit 910c5ea8 authored by Lukáš Krupčík's avatar Lukáš Krupčík

new file: d/Doris/Doris-5.0beta-foss-2017a.eb

	new file:   d/Doris/core_configure.patch
	new file:   d/Doris/envisat_Makefile.patch
	new file:   d/Doris/sartools_Makefile.patch
	new file:   l/LAPACK/LAPACK-3.7.1-gompi-2017a.eb
	modified:   p/Python/Python-2.7.9-intel-2015b.eb
	new file:   p/phonopy/phonopy-1.11.12.5-intel-2015b-Python-2.7.9.eb
	modified:   t/Trilinos/Trilinos-12.10.1-intel-2017a-Python-2.7.11.eb
	modified:   t/Trilinos/Trilinos-12.4.2-intel-2017a-Python-2.7.11.eb
	modified:   t/Trilinos/Trilinos-12.8.1-intel-2017a-Python-2.7.11.eb
parent aee7edba
name = 'Doris'
version = '5.0beta'
versionsuffix = '-test'
homepage = 'https://github.com/TUDelftGeodesy/Doris'
description = "Delft object-oriented radar interferometric software"
toolchain = {'name': 'foss', 'version': '2017a'}
source_urls = ['https://github.com/TUDelftGeodesy/Doris/archive/']
sources = ['v%(version)s.tar.gz']
patches = [
'core_configure.patch',
'sartools_Makefile.patch',
'envisat_Makefile.patch',
]
preconfigopts = 'export INSTALLDIR="%(installdir)s/bin" && '
moduleclass = 'geo'
--- doris_core/configure.orig 2017-06-30 08:31:18.746447724 +0200
+++ doris_core/configure 2017-06-30 08:31:25.833183690 +0200
@@ -622,7 +622,6 @@
SCRIPTS = helpdoris \
baseline.doris.sh \
baseline.doris.csh \
- construct_dem.sh \
coregpm.doris \
doris* \
heightamb \
--- envisat_tools/Makefile.orig 2017-06-30 08:23:02.000000000 +0200
+++ envisat_tools/Makefile 2017-06-30 08:26:54.000000000 +0200
@@ -17,11 +17,11 @@
### Check if you agree with the options below (install_dir OK?)
### then simply type: "make install"
SHELL = /bin/sh
-CC = gcc
+CC = ${CC}
#CFLAGS = -O3
#CFLAGS = -m32 # for 64-bit systems, it requires compatibility lib32, no need for epr_api v2.2
LFLAGS = -lm
-INSTALL_DIR = /home/gertmulder/bin/doris/doris_v5_wu_branch
+INSTALL_DIR = ${INSTALLDIR}
--- sar_tools/Makefile.orig 2017-06-30 08:24:34.000000000 +0200
+++ sar_tools/Makefile 2017-06-30 08:26:23.000000000 +0200
@@ -23,10 +23,10 @@
### Installdirdef should exist!
#INSTALL_DIR = /usr/local/bin
-INSTALL_DIR = /home/dlevelt/src/Doris_s1_git/bin
+INSTALL_DIR = ${INSTALLDIR}
### GCC compiler
-CC = g++
+CC = ${CXX}
CFLAGS = -O3 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE #-m32 to force 32bit on 64bit platform
### Intel compiler
name = 'LAPACK'
version = "3.7.1"
homepage = 'http://www.netlib.org/lapack/'
description = """LAPACK is written in Fortran90 and provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear systems of equations, eigenvalue
problems, and singular value problems."""
toolchain = {'name': 'gompi', 'version': '2017a'}
toolchainopts = {'pic': True}
sources = [SOURCELOWER_TGZ]
source_urls = [homepage]
moduleclass = 'numlib'
...@@ -38,15 +38,6 @@ exts_list = [ ...@@ -38,15 +38,6 @@ exts_list = [
('nose', '1.3.4', { ('nose', '1.3.4', {
'source_urls': ['http://pypi.python.org/packages/source/n/nose/'], 'source_urls': ['http://pypi.python.org/packages/source/n/nose/'],
}), }),
('numpy', numpyversion, {
'source_urls': [('http://sourceforge.net/projects/numpy/files/NumPy/%s' % numpyversion, 'download')],
'patches': [
'numpy-1.8.0-mkl.patch', # % numpyversion,
],
}),
('scipy', scipyversion, {
'source_urls': [('http://sourceforge.net/projects/scipy/files/scipy/%s' % scipyversion, 'download')],
}),
('blist', '1.3.6', { ('blist', '1.3.6', {
'source_urls': ['http://pypi.python.org/packages/source/b/blist/'], 'source_urls': ['http://pypi.python.org/packages/source/b/blist/'],
}), }),
...@@ -110,9 +101,6 @@ exts_list = [ ...@@ -110,9 +101,6 @@ exts_list = [
('pytz', '2014.10', { ('pytz', '2014.10', {
'source_urls': ['https://pypi.python.org/packages/source/p/pytz'], 'source_urls': ['https://pypi.python.org/packages/source/p/pytz'],
}), }),
('pandas', '0.16.0', {
'source_urls': ['https://pypi.python.org/packages/source/p/pandas'],
}),
] ]
moduleclass = 'lang' moduleclass = 'lang'
easyblock = 'PythonPackage'
name = 'phonopy'
version = '1.11.12.5'
homepage = 'http://phonopy.sourceforge.net/'
description = """Phonopy is an open source package of phonon calculations based on the supercell approach."""
toolchain = {'name': 'intel', 'version': '2015b'}
source_urls = ['https://pypi.python.org/packages/4b/25/effde7ab68249fbed654dc317354a028597bfd4a4f804d7cb3ed987c55b7/']
sources = ['%(name)s-%(version)s.tar.gz']
python = 'Python'
pythonversion = '2.7.9'
pythonshortversion = '.'.join(pythonversion.split('.')[:-1])
versionsuffix = "-%s-%s" % (python, pythonversion)
dependencies = [
(python, pythonversion),
('matplotlib', '1.4.3', versionsuffix),
('lxml', '3.4.4', versionsuffix),
('PyYAML', '3.11', versionsuffix),
]
pylibdir = "lib/python%s/site-packages/%%(name)s" % pythonshortversion
moduleclass = 'phys'
...@@ -15,22 +15,27 @@ sources = ['%(namelower)s-%(version)s-Source.tar.gz'] ...@@ -15,22 +15,27 @@ sources = ['%(namelower)s-%(version)s-Source.tar.gz']
#patches = ['fix-parmetis.patch'] #patches = ['fix-parmetis.patch']
builddependencies = [
('CMake', '3.5.2', '', True),
]
dependencies = [ dependencies = [
('Boost', '1.63.0', versionsuffix), ('Boost', '1.63.0', versionsuffix),
('SCOTCH', '6.0.4'), ('SCOTCH', '6.0.4'),
('SuiteSparse', '4.5.3', '-ParMETIS-4.0.3'), ('SuiteSparse', '4.5.3', '-ParMETIS-4.0.3'),
('ParMETIS', '4.0.3'), ('ParMETIS', '4.0.3'),
('netCDF', '4.4.1'), ('netCDF', '4.4.1.1'),
('MATIO', '1.5.2'), ('MATIO', '1.5.2'),
('GLM', '0.9.7.2'), ('GLM', '0.9.7.2'),
('CMake', '3.7.2'),
] ]
# STK Classic is deprecated/broken, STKDoc_tests needs to be disabled too because of it # STK Classic is deprecated/broken, STKDoc_tests needs to be disabled too because of it
# see https://trilinos.org/oldsite/release_notes-11.10.html and https://github.com/trilinos/Trilinos/issues/19 # see https://trilinos.org/oldsite/release_notes-11.10.html and https://github.com/trilinos/Trilinos/issues/19
#skip_exts = ['STKClassic', 'STKDoc_tests'] #skip_exts = ['STKClassic', 'STKDoc_tests']
prebuildopts = 'for NAME in `find -name link.txt`; do cat $NAME | sed -e "s/libcholmod.a/libcholmod.a -lmetis -lcamd -lccolamd/g" | tee $NAME; done &&'
# too parallel is too slow, and may cause build/tests to fail # too parallel is too slow, and may cause build/tests to fail
maxparallel = 10 maxparallel = 1
moduleclass = 'numlib' moduleclass = 'numlib'
...@@ -27,6 +27,8 @@ dependencies = [ ...@@ -27,6 +27,8 @@ dependencies = [
builddependencies = [('CMake', '3.7.2')] builddependencies = [('CMake', '3.7.2')]
# STK Classic is deprecated/broken, STKDoc_tests needs to be disabled too because of it # STK Classic is deprecated/broken, STKDoc_tests needs to be disabled too because of it
# see https://trilinos.org/oldsite/release_notes-11.10.html and https://github.com/trilinos/Trilinos/issues/19 # see https://trilinos.org/oldsite/release_notes-11.10.html and https://github.com/trilinos/Trilinos/issues/19
skip_exts = ['STKClassic', 'STKDoc_tests'] skip_exts = ['STKClassic', 'STKDoc_tests']
......
...@@ -20,7 +20,7 @@ dependencies = [ ...@@ -20,7 +20,7 @@ dependencies = [
('SCOTCH', '6.0.4'), ('SCOTCH', '6.0.4'),
('SuiteSparse', '4.5.3', '-ParMETIS-4.0.3'), ('SuiteSparse', '4.5.3', '-ParMETIS-4.0.3'),
('ParMETIS', '4.0.3'), ('ParMETIS', '4.0.3'),
('netCDF', '4.4.1'), ('netCDF', '4.4.1.1'),
('MATIO', '1.5.2'), ('MATIO', '1.5.2'),
('GLM', '0.9.7.2'), ('GLM', '0.9.7.2'),
] ]
...@@ -32,6 +32,6 @@ builddependencies = [('CMake', '3.7.2')] ...@@ -32,6 +32,6 @@ builddependencies = [('CMake', '3.7.2')]
skip_exts = ['STKClassic', 'STKDoc_tests'] skip_exts = ['STKClassic', 'STKDoc_tests']
# too parallel is too slow, and may cause build/tests to fail # too parallel is too slow, and may cause build/tests to fail
maxparallel = 10 maxparallel = 8
moduleclass = 'numlib' moduleclass = 'numlib'
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment